#pragma once
#include "RasterProcessToolWidgetAPI.h"
#include <QtWidgets/QMainWindow>
#include "QToolAbstract.h"

namespace Ui {
    class RasterProcessToolClass;
}


class RASTERPROCESSTOOLWIDGET_EXPORT RasterProcessTool : public QMainWindow
{
    Q_OBJECT

public:
    RasterProcessTool(QWidget *parent = nullptr);
    ~RasterProcessTool();

signals:
    void addBoxToolItemSIGNAL(QToolAbstract* item);

public slots:
    void addBoxToolItemSLOT(QToolAbstract* item);
    QTreeWidgetItem* findOrCreateParentItem( QVector<QString>& path);
    QTreeWidgetItem* findOrCreateTopLevelItem( QString& name);
    QTreeWidgetItem* findChildItemByName(QTreeWidgetItem* parentItem,  QString& name);

private:
    Ui::RasterProcessToolClass* ui;
};
